Skip to main content
POST
Search Invoices

Authorizations

Authorization
string
header
required

Your API key, sent in the Authorization header: Authorization: YOUR_API_KEY. A Bearer prefix is also accepted (Authorization: Bearer YOUR_API_KEY). Keys are created in the Upwell dashboard (Account → API keys) and are scoped to one organization.

Query Parameters

limit
integer
default:10
offset
integer
default:0

Body

application/json

Query parameters can also be provided in the request body as a JSON object

sourceSystem
string
required

The source system identifier

sourceSystemId
string
required

The ID of the invoice in the source system

limit
integer | null
default:10
offset
integer | null
default:0
orderBy
object[] | null
where
InvoicesBoolExp · object | null

Boolean expression to filter rows from the table "invoices". All fields are combined with a logical 'AND'.

Response

Responses for POST /api/rest/invoices/search

invoices
Invoices · object[]